package com.sdtool.common.entity.system;


import com.sdtool.common.entity.base.BaseEntity;
import com.sweetfish.util.Comment;
import org.rex.db.RColumn;

import java.util.ArrayList;
import java.util.List;

/**
 * Created by jlutt on 2018-07-13.
 *
 * @author jlutt
 */

public class Dept extends BaseEntity {

    private long id;

    @Comment("父级ID")
    @RColumn("parentid")
    private long parentId;

    @Comment("部门名称")
    @RColumn("deptname")
    private String deptName;

    @Comment("客户编码")
    @RColumn("deptcode")
    private String deptCode;

    @Comment("")
    @RColumn("sortnum")
    private long sortNum;

    @Comment("负责人")
    @RColumn("leader")
    private String leader;

    @Comment("联系电话")
    @RColumn("phone")
    private String phone;

    @Comment("邮件")
    @RColumn("email")
    private String email;

    @Comment("禁用标记")
    @RColumn("status")
    private int status;

    @Comment("父级部门")
    @RColumn("parentname")
    private String parentName;

    @Comment("子部门列表")
    private List<Dept> children = new ArrayList<>();

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public long getParentId() {
        return parentId;
    }

    public void setParentId(long parentId) {
        this.parentId = parentId;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getDeptCode() {
        return deptCode;
    }

    public void setDeptCode(String deptCode) {
        this.deptCode = deptCode;
    }

    public long getSortNum() {
        return sortNum;
    }

    public void setSortNum(long sortNum) {
        this.sortNum = sortNum;
    }

    public String getLeader() {
        return leader;
    }

    public void setLeader(String leader) {
        this.leader = leader;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public String getParentName() {
        return parentName;
    }

    public void setParentName(String parentName) {
        this.parentName = parentName;
    }

    public List<Dept> getChildren() {
        return children;
    }

    public void setChildren(List<Dept> children) {
        this.children = children;
    }
}
